> ## Documentation Index
> Fetch the complete documentation index at: https://docs.permutive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Versioning

> Selecting the right version of our APIs

Permutive's APIs are versioned to ensure that your applications continue to work as expected as the platform evolves.

All API requests require specifying an API version. The version of the API is specified in the URL at the leftmost (highest) scope of the path:

```curl theme={"dark"}
curl https://api.permutive.app/{version}... \
  ...
```

Version numbers follow [Semantic Versioning](https://semver.org). In short, this means that versions that have the same MAJOR number are backwards compatible. For instance, **v2.0** and **v2.1** are guaranteed to be backwards compatible, but **v2.1** adds new features and/or routes. Versions **v2.x** and **v3.x** are not guaranteed to be backwards compatible.

<Note>The current version of the Permutive API is **v2.0**.</Note>

Fixes, improvements, and additions for a given version of the API are made in a backwards-compatible manner to ensure each version has a stable interface across its lifetime. While we don't expect public endpoints to change greatly, keep in mind that the API is continuously under development.
